SuportePainel
Usuários

Configurar MFA

Inicia o segundo fator de autenticação de um usuário da loja.

POST/manager/user/mfa/setup

Authorization

bearerAuth gatewayKey
AuthorizationBearer <token>

Token JWT no formato: Bearer {token}

In: header

ocp-apim-subscription-key<token>

Gateway Token recebido na criacao da loja.

In: header

Request Body

application/json

Corpo da requisição.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.smarttef.mobi/manager/user/mfa/setup" \  -H "Content-Type: application/json" \  -d '{    "email": "maria.gerente@exemplo.com.br"  }'
{
  "qrCode": "otpauth://totp/Smart%20Tef%20-%20Integrador%20Exemplo:maria.gerente@exemplo.com.br?secret=JBSWY3DPEHPK3PXP&issuer=Smart%20Tef%20-%20Integrador%20Exemplo",
  "issuer": "Smart Tef - Integrador Exemplo"
}
{
  "status": 400,
  "data": {
    "message": [
      {
        "validation": "email",
        "code": "invalid_string",
        "message": "Invalid email",
        "path": [
          "email"
        ]
      }
    ],
    "timestamp": "2026-02-09T12:00:00.000Z",
    "path": "/manager/user/mfa/setup"
  }
}

{
  "status": 401,
  "data": {
    "message": [
      "Unauthorized",
      "Token não e do tipo loja, verifique se o token está correto.",
      "token not corresponds",
      "Store not found",
      "Store is not active or is blocked",
      "Store is blocked. <cache>"
    ],
    "timestamp": "2026-02-09T12:00:00.000Z",
    "path": "/manager/user/mfa/setup"
  }
}

{
  "status": 404,
  "data": {
    "message": "User not found",
    "timestamp": "2026-02-09T12:00:00.000Z",
    "path": "/manager/user/mfa/setup"
  }
}

{
  "status": 500,
  "data": {
    "message": "Internal Server Error",
    "timestamp": "2026-02-09T12:00:00.000Z",
    "path": "/manager/user/mfa/setup"
  }
}